Bug 426619 - New Window List behavior doesn't make good use of available space
New Window List behavior doesn't make good use of available space
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 21:21 EST by Christopher Beland
Modified: 2010-06-28 06:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2007-12-22 21:21:53 EST
I recently upgraded to Fedora 8 (gnome-panel-2.20.2-1.fc8), and I started
experiencing an annoying layout issue with the Window List applet. 

The preference for setting the maximum window size has been removed from the
GUI, and /etc/gconf/schemas/window-list.schemas has the following note:

"The use of this key was deprecated in GNOME 2.20. The schema is retained for
compatibility with older versions."

Unfortunately, the new hard-coded behavior results in annoyingly narrow buttons
for each window.  Many of the applications I typically use (Firefox,
gnome-terminal, emacs) have rather long window titles, and the most useful part
(to distinguish one window of the same application from another) is often near
the end.

In Fedora 7, I had the Window List applet configured to use the entire
horizontal space available to it on the panel.  With Fedora 8, even if I only
have two or three applications open, I get these narrow buttons in the Window
List, and they are crammed over in the lower-left-hand corner of the screen. 
(My lower panel is 48 px tall, to allow plenty of room for readable labels in
the window list.)

Can the default behavior be changed to make better use of the available space,
or the sizing configuration options restored?
Comment 1 Christopher Beland 2008-06-28 23:07:07 EDT
This is still a problem in gnome-panel-2.22.2-1.fc9.x86_64.  With
gnome-panel-2.20.3-1.fc8, sometimes I see the correct layout when I am changing
workspaces, but as soon as I click on the window list, the narrow windows
reappear.  There seems to be some sort of logic error in the layout code.
Comment 2 Bug Zapper 2009-06-09 19:18:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Christopher Beland 2009-06-12 20:52:13 EDT
This is still a problem with gnome-panel-2.26.2-1.fc11.x86_64.  Titles are still being truncated by their containing boxes even when there is plenty of room to expand the box.
Comment 4 Matt McCutchen 2009-11-13 15:46:33 EST
For the opposing point of view on this issue, see:

http://ubuntuforums.org/showthread.php?t=525528
Comment 5 Bug Zapper 2010-04-27 07:52:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:31:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.